
%global meadversion 1.1.0
%global namedversion 1.1.0.redhat-2
%global meadalpha .redhat_2
%global meadrel .1
%global serial 1
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}commons-daemon}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.0.redhat-2

Name:           %{?scl_prefix}apache-commons-daemon
#Version:        %{meadversion}
Version:        1.1.0
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Commons Daemon
Group:          Development/Java

%if %with mead
Source100: commons-daemon-1.1.0.redhat-2-scm-sources.zip
Source102: commons-daemon-1.1.0.redhat-2-src.tar.gz
Source103: commons-daemon-1.1.0.redhat-2-sources.jar
Source104: commons-daemon-1.1.0.redhat-2-test-sources.jar
Source105: commons-daemon-1.1.0.redhat-2-bin.tar.gz
Source106: commons-daemon-1.1.0.redhat-2-bin.zip
Source107: commons-daemon-1.1.0.redhat-2-bin-windows.zip
Source108: commons-daemon-1.1.0.redhat-2-source-release.zip
Source109: commons-daemon-1.1.0.redhat-2-src.zip
Source110: commons-daemon-1.1.0.redhat-2.pom
Source111: commons-daemon-1.1.0.redhat-2-project-sources.tar.gz
Source112: commons-daemon-1.1.0.redhat-2-native-src.tar.gz
Source113: commons-daemon-1.1.0.redhat-2-native-src.zip
Source114: commons-daemon-1.1.0.redhat-2-javadoc.jar
Source115: commons-daemon-1.1.0.redhat-2-tests.jar
Source116: commons-daemon-1.1.0.redhat-2.jar
%endif

License:        ASL 2.0
URL:            http://commons.apache.org/daemon/
Provides:       %{?scl_prefix}commons-daemon = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Apache Commons Daemon software provides an alternative invocation mechanism for
unix-daemon-like Java code.

%if %with javadoc
%package javadoc
Summary:        Javadoc for commons-daemon
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n commons-daemon -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/commons-daemon-%{namedversion}.jar %{buildroot}%{_javadir}/commons-daemon-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/commons-daemon-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/commons-daemon-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/commons-daemon-%{namedversion}-sources.jar %{buildroot}%{_javadir}/commons-daemon-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/commons-daemon-%{namedversion}
unzip -qq %{_sourcedir}/commons-daemon-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/commons-daemon-%{namedversion} -x META-INF/\*
%{__ln_s} commons-daemon-%{namedversion} %{buildroot}%{_javadocdir}/commons-daemon
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
#%doc LICENSE.txt NOTICE.txt PROPOSAL.html README RELEASE-NOTES.txt STATUS.html
%doc LICENSE.txt NOTICE.txt PROPOSAL.html README RELEASE-NOTES.txt
%{_javadir}/commons-daemon-%{namedversion}.jar
%{_javadir}/commons-daemon.jar
%if %with javadoc
%{_javadir}/commons-daemon-%{namedversion}-javadoc.jar
%{_javadir}/commons-daemon-javadoc.jar
%endif
%{_javadir}/commons-daemon-%{namedversion}-sources.jar
%{_javadir}/commons-daemon-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/commons-daemon-%{namedversion}
%{_javadocdir}/commons-daemon
%endif

%changelog
* Wed Jun 13 2018 Georgios Zaronikas- Karagiannis <gzaronik@redhat.com> - 1.1.0-1.redhat_2.1
- JSVC 1.1

* Tue Jun 12 2018 Georgios Zaronikas- Karagiannis <gzaronik@redhat.com> - 1.1.0-1.redhat_1.1
- JSVC 1.1

* Mon Jun 11 2018 Georgios Zaronikas- Karagiannis <gzaronik@redhat.com> - 1.1.0-1.redhat_2.1
- JSVC 1.1

* Wed Feb 17 2016 Fernando Nasser <fnasser@redhat.com> - 1.0.15-1.redhat_2.1
- Plain rebuild

* Thu Feb 11 2016 David Walluck <dwalluck@redhat.com> - 1.0.15-1.redhat_1.1
- rebuild to fix version

* Thu Feb 11 2016 David Walluck <dwalluck@redhat.com> - 1.0.-1.5.2
- fix %%setup

* Thu Feb 11 2016 David Walluck <dwalluck@redhat.com> - 1.0.-1.5.2
- release

